package com.example.lamano;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.content.Intent;

public class MainActivity extends Activity {	

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		final ControlLogin ctlLogin = (ControlLogin)findViewById(R.id.CtlLogin);
		 
	    ctlLogin.setOnLoginListener(new OnLoginListener()
	    {
	    @Override
	    public void onLogin(String usuario, String password)
	    {
	        //Validamos el usuario y la contraseņa
	        if (usuario.equals("demo") && password.equals("demo")){
	            ctlLogin.setMensaje("Login correcto!");
	        	gohome();
	        }
	        else
	            ctlLogin.setMensaje("Vuelva a intentarlo.");
	    }
	    });
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	/** Llamado cuando el usuario hace click en el boton enviar **/
	public void gohome (){
		
		Intent intent = new Intent (this, HomeActivity.class);
		startActivity(intent);
		//Hacer algo en respuesta al boton clickeado
	}
	
	
}
